#pragma once

#include <libopencm3/stm32/timer.h>

struct buzzer {
	uint32_t timer;
	enum tim_oc_id channel;
};

void buzzer_init(struct buzzer *buzzer);
void buzzer_enable(struct buzzer *buzzer);
void buzzer_disable(struct buzzer *buzzer);
void buzzer_set_freq(struct buzzer *buzzer, uint32_t freq);
